[all]
copyright=(C) 2005, cFos Software GmbH
designer=Ingo Guenther
version=cFosSkin V1.0
type=net,comport
name=Traffic Analysis Icon
background=background.png
blend_time=300
blend_out_time=500
transparentcolor=255,0,0
icon=1

;low latency locked
[disp1]
method=motion
value=open
bitmap=lat_lock.png
rect=6,6,13,10
min=1
max=1
idleframe=0
updatetime=200
pause=2400
force_blit=1

; net talk graphs
[disp_nt1]
method=history
value=total_tx_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=24,124,0
zero_blank=1
enabled=0

[disp_nt2]
method=history
value=total_rx_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=128,65,0
zero_blank=1
enabled=0

; slot graphs
[disp2]
method=history
value=slot10_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=153,153,153
zero_blank=1

[disp3]
method=history
value=slot9_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=38,192,0
zero_blank=1

[disp4]
method=history
value=slot8_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=255,130,0
zero_blank=1

[disp5]
method=history
value=slot7_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=192,0,192
zero_blank=1

[disp6]
method=history
value=slot6_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=146,59,228
zero_blank=1

[disp7]
method=history
value=slot5_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=3,0,192
zero_blank=1

[disp8]
method=history
value=slot4_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=39,128,220
zero_blank=1

[disp9]
method=history
value=slot3_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=0,192,192
zero_blank=1

[disp10]
method=history
value=slot2_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=190,191,0
zero_blank=1

[disp11]
method=history
value=slot1_speed
updatetime=400
historysize=16
max=100
rect=0,0,16,16
line_size=1
line_color=192,0,0
zero_blank=1

; "maximize window" button
[disp12]
method=activearea
rect=7,9,16,16
bitmap=button_console.png
action=exec
target=mshta.exe
parameters="~p\pub\console.htm"
regions=0
blend_in=128
blend_time=200


; "configure slots" button
[disp13]
method=activearea
rect=7,0,16,7
bitmap=button_resize.png
action=change_skin
parameters=~i\ta_insight_skin\net.ini
blend_in=128
blend_time=200
regions=0

;switch on low latency lock
[disp14]
method=activearea
bitmap=button_latency.png
rect=0,1,7,6
action=spdcmd
target=gset latency 1 -save
blend_in=128
blend_time=200
regions=0
enabled=0

;switch off low latency lock
[disp15]
method=activearea
bitmap=button_latency.png
rect=0,1,7,6
action=spdcmd
target=gset latency 2 -save
blend_in=128
blend_time=200
regions=0
enabled=0

;activate low latency lock on switch
[disp16]
method=activate
value=latency_mode
min=2
max=2
target=disp14

;activate low latency locked / lock off switch
[disp17]
method=activate
value=latency_mode
min=1
max=1
target=disp1,disp15

;toggle slots 1-8 / net talk
[disp18]
method=activearea
bitmap=button_more.png
rect=0,9,7,16
action=toggle
target=disp_nt1,disp_nt2,disp2,disp5,disp6,disp7,disp8,disp9,disp10,disp11,disp18,disp19
blend_in=128
blend_time=200
regions=0
enabled=0

;toggle slots 1-8 / net talk
[disp19]
method=activearea
bitmap=button_less.png
rect=0,9,7,16
action=toggle
target=disp_nt1,disp_nt2,disp2,disp5,disp6,disp7,disp8,disp9,disp10,disp11,disp18,disp19
blend_in=128
blend_time=200
regions=0

[disp20]
value=expired
method=animation
bitmap=expired.png
rect=0,0,16,16
min=0
max=1
frames=2

; activate message button
[disp21]
products=cfosspeed
method=activate
value=msg_avail
min=1
max=1
target=disp22

[disp22]
products=cfosspeed
method=activearea
bitmap=message.png
rect=0,2,16,14
action=show_message
print_allowed=0
regions=0
blend_in=128
blend_time=200


